:root {
	--accent-a: #3c30ff;
	--accent-b: #ff6a00;
	--accent-b-dark: #ff8e3d;
	--accent-c: #ffae00;

	--light: #4c4a45;
	--dark: #4c4a45;
	--alert: #ffb300;

	--font-a: 'Tajawal', sans-serif;
	--font-b: 'Fira Sans Condensed', sans-serif;
}

html, body {
  margin: 0;
  position: relative;
  height: 100%;
}

body {
	width: 100%;
	font-size: 18px;
	font-family: var(--font-a);
	justify-items: center;
	background-color: black;
	color: white;
}

.name h1 {
	font-weight: 300;
	font-family: var(--font-b);
	letter-spacing: 2px;
	color:white;	
}

h2, h3, h4 {
	font-family: var(--font-b);
	font-weight:400;
	letter-spacing: 1.1px;
	color: var(--accent-b);
}

a {
	transition: color 200ms;

	color: var(--accent-b);
}

a:hover {
	color: var(--accent-b-dark);
}

.main {
	width: 100%;
	min-height: 100%;

	display: flex;
	flex-direction: column;
	align-items: center;
}

.wrapper {
	margin: 0 auto;
}

.nav {
	width: 100%;
	
	background-color: var(--accent-b);
}

.nav .wrapper {
	display: flex;
	justify-content: space-around;
}

.nav-link {
	font-family: var(--font-a);
	font-weight: 300;
	color: white;
	padding: 1rem;
	text-decoration: none;
	text-align: center;

	width: 100%;
	
	transition: background-color 200ms;

	background-color: var(--accent-b);
}

.nav-link:hover {
	color: white;
	background-color: var(--accent-b-dark);
}

.header {
	width: 100%;
	background-color: black;
}

.name-flex {
	display: flex;
}

.name {
	text-decoration: none;
	font-family: var(--font-b);
	letter-spacing: 4px;
	color: white;
}
.name:hover {
	color: white;
}

.content {
  display: flex;
	flex-flow: column;
	flex-grow: 1;
	
	width: 100%;

}

.breadcrumb  {
	margin-top: 0;
	margin-bottom: -0.5rem;
}

.breadcrumb a {
	text-decoration:none;
	transition-duration: 200ms;

	color: var(--accent-c);
}

.breadcrumb a:hover {
	color: var(--accent-b);
}

.search-bar {
	box-sizing: border-box;
	width: 100%;
	padding: 0.5rem 1rem;

	font-size: 16px;
	font-family: var(--font-a);
	
	border-radius: 4px;
	
	transition: border 200ms;

  border: 2px solid var(--accent-c);
}

.search-bar:focus {
  border: 2px solid var(--accent-b);
}

.background-image {
	width: 105%;
	position: fixed;
	right: -1%;
	bottom: -15%;
	z-index: -1;
}

.loader {
	margin: 4rem auto;
  border: 1rem solid rgba(0,0,0,0); /* Light grey */
  border-top: 1rem solid var(--accent-b); /* Blue */
  border-radius: 50%;
  width: 4rem;
  height: 4rem;
  animation: spin 1s linear infinite;
}

.footer {	
	width: 100%;
	height: 100%;

	padding: 1rem 0 2rem 0;

	color: #fff;
	text-align: center;

	background-color: black;
}

.footer-flex {
	justify-content: center;
	align-items: center;
	display:flex;
	flex-direction:row;

	padding: 1rem;
}

.footer-link {
	padding: 0.5rem 0.5rem;
	margin: 0 1rem;
	color: white;

	transition: opacity 200ms;
	
	opacity: 0.7;
}

.social-link-nav {
	padding: 0.3rem 0.3rem;
	margin: 0.3 0.3rem;
	color: white;

	transition: opacity 200ms;
	
	opacity: 0.7;
}

.footer-link:hover {
	color: white;
	opacity: 1;
}

.socialmedia-icon {
	color: red;
	padding:0;
	margin:0;
	height: 1.7rem;
	width: auto;
	
}

.socialmedia-handle {
	font-size: 16px;
	padding: 0 1rem;
	flex-shrink: 1;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* wide */
@media (min-width: 900px) {
	.wrapper {
		width: 850px;
	}

	.name-flex {
		flex-direction: row;
	}

	.logo {
		height: 58px;
		width: auto;
		padding: 1rem 1rem 1rem 0;
	}

	.nav .wrapper {
		flex-direction: row;
	}
	
	.socialmedia-icon {
		padding-bottom: 0rem;
	}
}

/* mobile */
@media (max-width: 900px) {
	.wrapper {
		margin: 0;
		padding: 0 1rem;
	}

	.name-flex {
		padding-top: 2rem;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}

	.logo {
		height: 80px;
		width: auto;
		padding: 0;
	}

	.nav .wrapper {
		align-items: center;
		flex-direction: column;
	}

	.content {
		width: 100%;
	}

	.background-image {
		visibility: hidden;
	}
}